<template>
  <!-- Phụ kiện - Gear -->
  <div class="mb56 clearfix">
    <h2 class="title_cate">
      <span>Máy tính xách tay</span>
    </h2>
    <div class="fillter-home">
      <div class="flex thuong-hieu">
        <div class="title">Thương hiệu</div>
        <div v-swiper:ThuongHieu="options_thuonghieu" class="content">
          <div class="swiper-wrapper">
            <div
              v-for="(brand, index) in laptop.filters.brands"
              :key="'brand-filter' + index"
              class="swiper-slide"
            >
              <nuxt-link class="asus" :to="'/thuong-hieu/' + brand.shared_url">
                <img
                  v-if="$device.isMobile"
                  class="lazyload"
                  :data-srcset="resizeImage(baseImageUrl + brand.icon, 54, 35)"
                  :alt="brand.name"
                />
                <img
                  v-else
                  class="lazyload"
                  :data-srcset="resizeImage(baseImageUrl + brand.icon, 114, 75)"
                  :alt="brand.name"
                />
              </nuxt-link>
            </div>
          </div>
        </div>
        <!-- Add Arrows -->
        <div id="next-swiper-th" class="swiper-button-next">
          <svg-icon
            name="arrow-right"
            style="width: 24px; height: 24px;"
          ></svg-icon>
        </div>
        <div id="prev-swiper-th" class="swiper-button-prev">
          <svg-icon
            name="arrow-left"
            style="width: 24px; height: 24px;"
          ></svg-icon>
        </div>
      </div>
      <div class="flex">
        <div class="title">Khoảng giá</div>
        <div class="content">
          <label
            v-for="range in laptop.filters.price_range"
            :key="range.name"
            @click.prevent="$router.push(`/may-tinh-xach-tay?pr=${range.id}`)"
          >
            {{ range.name }}
          </label>
        </div>
      </div>
    </div>
    <div class="list-product row">
      <ProductItemGrid
        v-for="product in laptop.products"
        :key="product.id"
        :product="product"
      />
    </div>
    <div class="view-more view-more__border">
      <nuxt-link to="/may-tinh-xach-tay">
        Xem tất cả
        <svg-icon name="arrow-right"></svg-icon>
      </nuxt-link>
    </div>
  </div>
</template>

<script>
import Helper from '../../assets/config'

export default {
  name: 'ProductLaptop',
  components: {
    ProductItemGrid: () => import('~/components/Products/ProductItemGrid'),
  },
  props: {
    laptop: {
      type: Object,
      default: null,
    },
  },
  data() {
    return {
      options_thuonghieu: {
        slidesPerView: 5,
        spaceBetween: 8,
        slidesPerGroup: 3,
        navigation: {
          nextEl: '#next-swiper-th',
          prevEl: '#prev-swiper-th',
        },
        breakpoints: {
          480: {
            slidesPerView: 5,
          },
          991: {
            slidesPerView: 5,
          },
          1024: {
            slidesPerView: 8,
          },
        },
      },
    }
  },
  computed: {
    baseImageUrl() {
      return Helper.baseImageUrl
    },
  },
  methods: {
    resizeImage(url, width, height) {
      return Helper.resizeImage(url, width, height)
    },
  },
}
</script>
